Проблемы с Redis

Тема в разделе "Администрирование серверов", создана пользователем Sorcus, 7 окт 2015.

Модераторы: mefish, stooper
  1. Sorcus

    Sorcus Sorcus. A New Beginning.

    Moderator
    Регистр.:
    10 июл 2011
    Сообщения:
    320
    Симпатии:
    626
  2. anti-sorcus

    anti-sorcus Писатель

    Регистр.:
    13 сен 2015
    Сообщения:
    5
    Симпатии:
    3
    На сайте был скрипт с var_dumpом в коде, который удалили еще 3 месяца назад, но как оказалось,
    вывод var_dumpА всёравно остаётся по непонятной причине (в реальном коде скрипта var_dumpА нет 3 месяца), если не зачистить кеш Redis командой redis-cli flushall.

    Удалила редисовский dump.rdb с перезапуском самого демона редиса командой redis-server restart и var_dump с его аутпут внезапно появился! откуда?



    Первый раз после зачистки кеша редиса командой redis-cli flushall все ОК - нет никакого var_dumpА который удалили еще 3 месяца назад и не делает аутпут.

    Но, после второго запуска скрипта без redis-cli flushall, откуда то появляется var_dump и соответственно выдает аутпут (но физически в скрипте его нет, что наводит на мысль о том, что он где то закеширован редисом).


    В чем еще может быть проблема?
    Откуда после второго запуска скрипта берется var_dump который удалили еще 3 месяца назад и его нет физически в скрипте?
     
    Последнее редактирование: 7 окт 2015
  3. Renny

    Renny Создатель

    Регистр.:
    3 авг 2014
    Сообщения:
    25
    Симпатии:
    642
    Сами скрипты демона без изменений?
     
  4. anti-sorcus

    anti-sorcus Писатель

    Регистр.:
    13 сен 2015
    Сообщения:
    5
    Симпатии:
    3
    Стандарные, там ничего не менялось.
    Вот конфиг:
    daemonize yes
    pidfile /var/run/redis/redis-server.pid
    tcp-backlog 511
    unixsocket /var/run/redis/redis.sock
    unixsocketperm 777
    timeout 0
    tcp-keepalive 0
    loglevel notice
    logfile /var/log/redis/redis-server.log
    databases 3
    stop-writes-on-bgsave-error yes
    rdbcompression yes
    rdbchecksum yes
    dbfilename dump.rdb
    dir /var/lib/redis
    slave-serve-stale-data yes
    slave-read-only yes
    repl-disable-tcp-nodelay no
    slave-priority 100
    maxmemory 2147483648
    maxmemory-policy volatile-lru
    appendonly no
    appendfilename "appendonly.aof"
    appendfsync everysec
    no-appendfsync-on-rewrite no
    auto-aof-rewrite-percentage 100
    auto-aof-rewrite-min-size 64mb
    lua-time-limit 5000
    slowlog-log-slower-than 10000
    slowlog-max-len 128
    notify-keyspace-events ""
    hash-max-zip list-entries 512
    hash-max-ziplist-value 64
    list-max-ziplist-entries 512
    list-max-ziplist-value 64
    set-max-intset-entries 512
    zset-max-ziplist-entries 128
    zset-max-ziplist-value 64
    activerehashing yes
    client-output-buffer-limit normal 0 0 0
    client-output-buffer-limit slave 256mb 64mb 60
    client-output-buffer-limit pubsub 32mb 8mb 60
    hz 10
    aof-rewrite-incremental-fsync yes

    cat /etc/init.d/redis-server
    #! /bin/sh
    ### BEGIN INIT INFO
    # Provides: redis-server
    # Required-Start: $syslog $remote_fs
    # Required-Stop: $syslog $remote_fs
    # Should-Start: $local_fs
    # Should-Stop: $local_fs
    # Default-Start: 2 3 4 5
    # Default-Stop: 0 1 6
    # Short-Description: redis-server - Persistent key-value db
    # Description: redis-server - Persistent key-value db
    ### END INIT INFO

    ulimit -n 16384

    PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
    DAEMON=/usr/bin/redis-server
    DAEMON_ARGS=/etc/redis/redis.conf
    NAME=redis-server
    DESC=redis-server

    RUNDIR=/var/run/redis
    PIDFILE=$RUNDIR/redis-server.pid

    test -x $DAEMON || exit 0

    if [ -r /etc/default/$NAME ]
    then
    . /etc/default/$NAME
    fi

    . /lib/lsb/init-functions

    set -e

    case "$1" in
    start)
    echo -n "Starting $DESC: "
    mkdir -p $RUNDIR
    touch $PIDFILE
    chown redis:redis $RUNDIR $PIDFILE
    chmod 755 $RUNDIR

    if [ -n "$ULIMIT" ]
    then
    ulimit -n $ULIMIT
    fi

    if start-stop-daemon --start --quiet --umask 007 --pidfile $PIDFILE --chuid redis:redis --exec $DAEMON -- $DAEMON_ARGS
    then
    echo "$NAME."
    else
    echo "failed"
    fi
    ;;
    stop)
    echo -n "Stopping $DESC: "
    if start-stop-daemon --stop --retry forever/TERM/1 --quiet --oknodo --pidfile $PIDFILE --exec $DAEMON
    then
    echo "$NAME."
    else
    echo "failed"
    fi
    rm -f $PIDFILE
    sleep 1
    ;;

    restart|force-reload)
    ${0} stop
    ${0} start
    ;;

    status)
    status_of_proc -p ${PIDFILE} ${DAEMON} ${NAME}
    ;;

    *)
    echo "Usage: /etc/init.d/$NAME {start|stop|restart|force-reload|status}" >&2
    exit 1
    ;;
    esac

    exit 0
     
    Последнее редактирование модератором: 8 окт 2015
  5. Renny

    Renny Создатель

    Регистр.:
    3 авг 2014
    Сообщения:
    25
    Симпатии:
    642

    Владелец var_dump redis?
    Как вариант, включить режим MONITOR и посмотреть что происходит.
     
  6. anti-sorcus

    anti-sorcus Писатель

    Регистр.:
    13 сен 2015
    Сообщения:
    5
    Симпатии:
    3
    попробую хостера напрячь, у меня таких полномочий нет